.engagement-model__top {
    margin-bottom: 40px;
}

.engagement-model__title {
    color: var(--color-grey-37);
    margin-bottom: 20px;
}

.engagement-model__description {
    max-width: 800px;
}

.engagement-model__row {
    border-radius: 20px;
    background: var(--color-grey-94);
    padding: 60px;
    box-shadow: 56px 211px 61px 0 rgba(0, 0, 0, 0.00), 36px 135px 56px 0 rgba(0, 0, 0, 0.02), 20px 76px 47px 0 rgba(0, 0, 0, 0.06), 9px 34px 35px 0 rgba(0, 0, 0, 0.10), 2px 8px 19px 0 rgba(0, 0, 0, 0.11);

    position: relative;
    z-index: 1;

    @media screen and (max-width: 1024px) {
        padding-inline: 20px;
        grid-template-columns: 1fr;
    }
}

.engagement-model__list {
    max-width: 800px;
    margin-left: auto;
    & > *:not(:last-child) {
        margin-bottom: 20px;
    }
}

.engagement-model__list-item {
    display: flex;
    gap: 60px;
    align-items: flex-start;
    padding-block: 16px;
    border-top: 1px solid var(--color-grey-37);

    @media screen and (max-width: 1024px) {
        flex-direction: column;
    }
}

.engagement-model__list-item-number {
    font-family: var(--font-second), sans-serif;
    width: 68px;
    flex-shrink: 0;
    padding: 8px 12px;
    border-radius: 10px;
    border: 1px solid var(--color-grey-37);
    font-size: 20px;
    line-height: 1;
    letter-spacing: 0.6px;
}

.engagement-model__list-item-title {
    font-size: 24px;
    font-weight: 500;
    line-height: 1;
    margin-bottom: 8px;
}

.engagement-model__image {
    width: 538px;
    border-radius: inherit;

    img {
        border-radius: inherit;
    }

    @media screen and (max-width: 1024px) {
        display: none;
    }
}
